%global upstream_name beanstalkc
%global upstream_version 0.4.0

name:          python-%{upstream_name}
Version:       %{upstream_version}
Release:       5%{?dist}
Summary:       A simple beanstalkd client library for Python
License:       ASL 2.0
URL:           https://github.com/earl/beanstalkc
Source0:       https://pypi.python.org/packages/source/b/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildArch:     noarch

%description
beanstalkc is a simple beanstalkd client library for Python. beanstalkd is a
fast, distributed, in-memory workqueue service.

%prep
%setup -qn %{upstream_name}-%{upstream_version}
rm -rf %{upstream_name}.egg-info
sed -i -e '/^#!\//, 1d' beanstalkc.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{python2_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Dhiru Kholia <dhiru@openwall.com> - 0.4.0-1
- update to beanstalkc 0.4.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 17 2013 Dhiru Kholia <dhiru@openwall.com> - 0.3.0-2
- remove shebang from beanstalkc.py

* Sun Sep 15 2013 Dhiru Kholia <dhiru@openwall.com> - 0.3.0-1
- initial version
